Subject: bug#33441: reading and printing Lisp Objects - what changed from 25.3.1 to 26.1?

From: Peter Milliken <[email-masked]>
Date: Wed, 21 Nov 2018 08:09:38 +1100

Not sure what the reference to circular structures means in this context.
As I said, all versions of Emacs less than 26 it worked fine with these
same Lisp Objects.

As I said: what changed?  Are you trying to say something in 26.1 is now
"fixed" i.e. it should never have worked in versions less than 26? and what
I have been doing for years should have always failed?

As for the file reference, try
https://github.com/peter-milliken/ELSE
<https://github.com/peter-milliken/ELSE/else-structs.el>

and look for else-structs.e
<https://github.com/peter-milliken/ELSE/else-structs.el>l

On Wed, Nov 21, 2018 at 8:02 AM Noam Postavsky <[email-masked]> wrote:

> On Tue, 20 Nov 2018 at 15:57, Paul Eggert <[email-masked]> wrote:
>
> > The syntax error occurs at the "#5" here:
> >
> > ... #s(#5 "" "" "" nil nil nil nil nil) (:custom-groups nil
> > :documentation "Placeholder Class base." ...
> >
> > and you might want to investigate what is outputting "#5".
>
> Standard Emacs printing functions will produce that for circular
> structures if print-circle is nil (otherwise they use #5#).
>